Package org.apache.calcite.avatica

## Class NoSuchStatementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.calcite.avatica.NoSuchStatementException

All Implemented Interfaces:
  `java.io.Serializable`

    public class NoSuchStatementException
    extends java.lang.Exception

An Exception that denotes that the given Statement is not cached.

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`
`private Meta.StatementHandle` `stmtHandle`

### Constructor Summary

Constructors
`NoSuchStatementException​(Meta.StatementHandle stmtHandle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Meta.StatementHandle` `getStatementHandle()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### stmtHandle

    private final Meta.StatementHandle stmtHandle

### Constructor Detail

#### NoSuchStatementException

    public NoSuchStatementException​(Meta.StatementHandle stmtHandle)

### Method Detail

#### getStatementHandle

    public Meta.StatementHandle getStatementHandle()